import { PackageURL } from '@socketregistry/packageurl-js';
import type { CResult } from '../../types.mts';
import type { SocketArtifact } from '../../utils/alert/artifact.mts';
export type GitCreateAndPushBranchOptions = {
    cwd?: string | undefined;
    email?: string | undefined;
    user?: string | undefined;
};
export declare function getBaseGitBranch(): string;
export declare function getSocketBranchPurlTypeComponent(purl: string | PackageURL | SocketArtifact): string;
export declare function getSocketBranchFullNameComponent(pkgName: string | PackageURL | SocketArtifact): string;
export declare function getSocketBranchPackageVersionComponent(version: string | PackageURL | SocketArtifact): string;
export declare function getSocketBranchWorkspaceComponent(workspace: string | undefined): string;
export declare function getSocketBranchName(purl: string | PackageURL | SocketArtifact, newVersion: string, workspace?: string | undefined): string;
export type SocketBranchPatternOptions = {
    newVersion?: string | undefined;
    purl?: string | undefined;
    workspace?: string | undefined;
};
export declare function getSocketBranchPattern(options?: SocketBranchPatternOptions | undefined): RegExp;
export type SocketBranchParser = (branch: string) => SocketBranchParseResult | null;
export type SocketBranchParseResult = {
    fullName: string;
    newVersion: string;
    type: string;
    workspace: string;
    version: string;
};
export declare function createSocketBranchParser(options?: SocketBranchPatternOptions | undefined): SocketBranchParser;
export declare function getSocketPullRequestTitle(purl: string | PackageURL | SocketArtifact, newVersion: string, workspace?: string | undefined): string;
export declare function getSocketPullRequestBody(purl: string | PackageURL | SocketArtifact, newVersion: string, workspace?: string | undefined): string;
export declare function getSocketCommitMessage(purl: string | PackageURL | SocketArtifact, newVersion: string, workspace?: string | undefined): string;
export declare function gitCleanFdx(cwd?: string): Promise<void>;
export declare function gitCreateAndPushBranch(branch: string, commitMsg: string, filepaths: string[], options?: GitCreateAndPushBranchOptions | undefined): Promise<boolean>;
export declare function gitEnsureIdentity(name: string, email: string, cwd?: string): Promise<void>;
export declare function gitRemoteBranchExists(branch: string, cwd?: string): Promise<boolean>;
export declare function gitResetAndClean(branch?: string, cwd?: string): Promise<void>;
export declare function gitResetHard(branch?: string, cwd?: string): Promise<void>;
export declare function gitUnstagedModifiedFiles(cwd?: string): Promise<CResult<string[]>>;
//# sourceMappingURL=git.d.mts.map