import type { CResult, OutputKind } from '../../types.mts';
import type { SocketArtifact } from '../../utils/alert/artifact.mts';
// This is a simplified view of an artifact. Potentially merged with other artifacts.
interface DedupedArtifact {
    ecosystem: string; // artifact.type
    namespace: string;
    name: string;
    version: string;
    score: {
        supplyChain: number;
        maintenance: number;
        quality: number;
        vulnerability: number;
        license: number;
    };
    alerts: Map<string, {
        type: string;
        severity: string;
    }>;
}
export declare function outputPurlsShallowScore(purls: string[], result: CResult<SocketArtifact[]>, outputKind: OutputKind): void;
export declare function preProcess(artifacts: SocketArtifact[], requestedPurls: string[]): {
    rows: Map<string, DedupedArtifact>;
    missing: string[];
};
export declare function generateMarkdownReport(artifacts: Map<string, DedupedArtifact>, missing: string[]): string;
export declare function generateTextReport(artifacts: Map<string, DedupedArtifact>, missing: string[]): string;
export {};
//# sourceMappingURL=output-purls-shallow-score.d.mts.map